Debian Bug report logs - #676348
RM: libwrap-ruby -- ROM; upstream unmaintained; debian orphaned; only ruby1.8

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ricardo Mones <mones@debian.org>

Date: Wed, 6 Jun 2012 11:21:17 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, shugo@debian.org, wnpp@debian.org:
Bug#676348; Package wnpp. (Wed, 06 Jun 2012 11:21:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to shugo@debian.org, wnpp@debian.org. (Wed, 06 Jun 2012 11:21:29 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: libwrap-ruby -- TCP wrappers library for Ruby
Date: Wed, 6 Jun 2012 12:57:19 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of libwrap-ruby, Shugo Maeda <shugo@debian.org>,
has no time for maintaning this package.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: libwrap-ruby
Binary: libwrap-ruby1.8
Version: 0.6-3
Maintainer: Shugo Maeda <shugo@debian.org>
Build-Depends: debhelper (>> 2.0.0), ruby1.8, ruby1.8-dev, libwrap0-dev, libident-dev
Architecture: any
Standards-Version: 3.5.8.0
Format: 1.0
Files:
 6fa90e63f95cd2cab7ace3d46f1c90b7 625 libwrap-ruby_0.6-3.dsc
 458a500171aa70b44083d44d41dbce5b 4455 libwrap-ruby_0.6.orig.tar.gz
 fad94479931e1573f513ba147d671189 2432 libwrap-ruby_0.6-3.diff.gz
Checksums-Sha1:
 1ce323f0d51ff44a3e78813698a36cfb0315faeb 625 libwrap-ruby_0.6-3.dsc
 8fd7f332cfa546cfa403452b2e438492094ea9e5 2432 libwrap-ruby_0.6-3.diff.gz
 bf5918e32ff6381ad0ef561a8fedc05bca6d801d 4455 libwrap-ruby_0.6.orig.tar.gz
Checksums-Sha256:
 84be0a73f48a15860cfd65092bd3de13a3d1a50c63ab0e070ef4e62070828bdd 625 libwrap-ruby_0.6-3.dsc
 5aedd5b831139e5dc2b4cf9228b8d8a8cfb20228e93975e9cdf715deb9f98a50 2432 libwrap-ruby_0.6-3.diff.gz
 492372e4b720e79a2d7153842d4932c29237e46496c4f988a2ab9933480037b1 4455 libwrap-ruby_0.6.orig.tar.gz
Directory: pool/main/libw/libwrap-ruby
Priority: source
Section: ruby

Package: libwrap-ruby1.8
Source: libwrap-ruby
Version: 0.6-3
Installed-Size: 88
Maintainer: Shugo Maeda <shugo@debian.org>
Architecture: amd64
Replaces: libwrap-ruby
Depends: libc6 (>= 2.3.5-1), libident (>= 0.22-3), libruby1.8 (>= 1.8.4), libwrap0
Conflicts: libwrap-ruby
Description-en: TCP wrappers library for Ruby
 libwrap-ruby is TCP wrappers library for Ruby.
 libwrap-ruby provides access control per host, domain and/or service.
Description-md5: d5382fe9a1a269f7428533e7de06b227
Tag: devel::lang:ruby
Section: ruby
Priority: optional
Filename: pool/main/libw/libwrap-ruby/libwrap-ruby1.8_0.6-3_amd64.deb
Size: 8120
MD5sum: a67b376f2e956047adc649ad47dda109
SHA1: 7a79d4113b5ab3eb2d051b992c428d34d0b11329
SHA256: 476f92dcb03b9a4907f932f12c0612f924a901c8c7a664eaf54b8229d6b4b844

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'RM: libwrap-ruby -- ROM; upstream unmaintained; debian orphaned; only ruby1.8' from 'O: libwrap-ruby -- TCP wrappers library for Ruby' Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Mon, 02 Sep 2013 18:03:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Jonas Genannt <jonas.genannt@capi2name.de> to control@bugs.debian.org. (Mon, 02 Sep 2013 18:03:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#676348; Package ftp.debian.org. (Mon, 02 Sep 2013 18:15:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Mon, 02 Sep 2013 18:15:17 GMT) Full text and rfc822 format available.

Message #14 received at 676348@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 676348@bugs.debian.org
Cc: control@bugs.debian.org
Subject: RM: libwrap-ruby -- ROM; upstream unmaintained; debian orphaned; only ruby1.8
Date: Mon, 2 Sep 2013 20:01:43 +0200
retitle 676348 RM: libwrap-ruby -- ROM; upstream unmaintained; debian orphaned; only ruby1.8
reassign 676348 ftp.debian.org
thanks

Hello ftp.debian.org-Maintainers,

please remove package libwrap-ruby from Debian archive.

 - does only build successfully with ruby 1.8, that will be removed soon
 - no rdepends
 - last version release from 2004


Acknowledgment of Ruby pkg team:
	https://lists.debian.org/debian-ruby/2013/08/msg00063.html

Thanks,
	Jonas



Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 02 Sep 2013 21:19:01 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 21:19:02 GMT) Full text and rfc822 format available.

Message #19 received at 676348-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 676348-close@bugs.debian.org
Cc: libwrap-ruby@packages.debian.org, libwrap-ruby@packages.qa.debian.org
Subject: Bug#676348: Removed package(s) from unstable
Date: Mon, 02 Sep 2013 21:15:20 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libwrap-ruby |      0.6-3 | source
libwrap-ruby1.8 |      0.6-3 | amd64, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mipsel, powerpc, s390, s390x, sparc
libwrap-ruby1.8 |   0.6-3+b1 | mips
libwrap-ruby1.8 |   0.6-3+b2 | armel

------------------- Reason -------------------
ROM; upstream unmaintained; debian orphaned; only ruby1.8
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 676348@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/676348

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@ftp-master.debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Oct 2013 07:39:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:24:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.